import { ComponentRef } from "@angular/core";
import { RouteContext } from "./RouteContext";
export interface NavigationEvent {
}
export declare class NavigationStart implements NavigationEvent {
    constructor();
}
export declare class NavigationEnd implements NavigationEvent {
    private _url;
    private _component;
    private _routeCtx;
    private _historyReplaced;
    constructor(url: string, component: ComponentRef<any>, routeCtx: RouteContext, _historyReplaced?: boolean);
    readonly url: string;
    readonly activatedComponent: ComponentRef<any>;
    readonly routeContext: RouteContext;
    readonly historyReplaced: boolean;
}
export declare class NavigationCancel implements NavigationEvent {
}
